Subject: Re: [mobile-ip] Closing issue 274 (destination address of BE should be care-of address)

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 11 Apr 2003 17:16:16 -0700 (PDT)

Hi Jari,

> Here's an attempt to close the issue #274.
> 
> Looking at Section 9.3.3 (Sending Binding Error Messages), it is
> already pretty clear about what to do: "A Binding Error message is
> sent to the address that appeared in the IPv6 Source Address field of
> the offending packet." But this might still refer to the source
> address at the time when it has already been updated according to the
> Mobile IPv6 processing rules. So let's add this: "(Note that this
> address is the care-of address, if the peer has used the Home Address
> destination option.)"

This addition seems a bit confusing; I'd prefer seeing something like:

"A Binding Error message is sent directly to the address that appeared in
 the IPv6 Source Address field of  the offending packet. Thus the binding cache
 information (when present) is not used in sending binding error messages."

> 
> In Section 9.2 (Processing Mobility Headers), it refers to the 9.3.3
> for the sending of the BE message, but the ICMP message processing
> is described here. My proposal is to add the same note as above
> to the second and third bullet items.

Agree.

Thanks,
-Samita

> 
> See the drafts page
> (http://www.piuha.net/~jarkko/publications/mipv6/drafts/drafts.html)
> for the final results.
> 
> Comments appreciated.
> 
> Jari
> 
>

---

From: Jari Arkko <[email-masked]>
Date: Sat, 12 Apr 2003 07:44:53 +0300

>  information (when present) is not used in sending binding error messages."

Ok. It does sound better!

Jari